Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EJBCacheRuntimeMBean

public interface EJBCacheRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all cache runtime information collected for an EJB.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getActivationCount()` Returns the total number of beans from this EJB Home that have been activated.
`long` | `getCacheAccessCount()` Returns the total number of attempts to access a bean from the cache.
`int` | `getCachedBeansCurrentCount()` Returns the total number of beans from this EJB Home currently in the EJB cache.
`long` | `getCacheHitCount()` Deprecated. 28-Aug-2002. The cache hit count can be calculated by subtracting the cache miss count from the cache access count.
`long` | `getCacheMissCount()` Returns the total number of times an attempt to access a bean from the cache failed.
`long` | `getPassivationCount()` Returns the total number of beans from this EJB Home that have been passivated.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getCachedBeansCurrentCount

    public int getCachedBeansCurrentCount()

  Returns the total number of beans from this EJB Home currently in the EJB cache.

  Returns:
    The cachedBeansCurrentCount value

### getCacheAccessCount

    public long getCacheAccessCount()

  Returns the total number of attempts to access a bean from the cache.

  Returns:
    The cacheAccessCount value

### getCacheHitCount

    public long getCacheHitCount()

  Deprecated. 28-Aug-2002. The cache hit count can be calculated by subtracting the cache miss count from the cache access count.
  Returns the total number of times an attempt to access a bean from the cache succeeded.

  Returns:
    The cacheHitCount value

### getCacheMissCount

    public long getCacheMissCount()

  Returns the total number of times an attempt to access a bean from the cache failed.

  Returns:
    The cacheMissCount value

### getActivationCount

    public long getActivationCount()

  Returns the total number of beans from this EJB Home that have been activated.

  Returns:
    The activationCount value

### getPassivationCount

    public long getPassivationCount()

  Returns the total number of beans from this EJB Home that have been passivated.

  Returns:
    The passivationCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD